<!DOCTYPE html>
<html dir="rtl">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="libs/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link rel="stylesheet" href="style.css">
  <title>جستجو ip دیگران</title>
</head>

<body>
  <?php include 'layouts/navbar.php'; ?>
  <div class="container">
  <br><br><br>
  <h1 class="textc">جستجو ip</h1>
  <p class="textc" style="padding-top:8px; color:#ff0000;">لطفا ip یا دامنه را وارد کنید</p>
  <form>
    <div class="form-group form-div">
      <input type="text" class="form-control" name="showip" value="<?php $ip = $_SERVER['REMOTE_ADDR']; echo $ip; ?>" placeholder="آیپی را وارد کنید">
    </div>
    <div class="form-div">
    <button type="submit" class="btn btn-primary">ارسال</button>
    </div>
  </form>
  <br>
  <hr>
  <h2 class="textc">اطلاعات ip</h2>
  <br>
  <?php
  // get ip
  $show = $_GET['showip'];
  
  // get browser
  $browser = $_SERVER['HTTP_USER_AGENT'];
  
  // get api
  $details = json_decode(file_get_contents("http://ip-api.com/json/$show?fields=status,message,continent,continentCode,country,countryCode,region,regionName,city,district,zip,lat,lon,timezone,offset,currency,isp,org,as,asname,reverse,mobile,proxy,hosting,query"));
  
  // get api v2
  $d_v2 = json_decode(file_get_contents("http://ipinfo.io/{$show}/json"));
  
  // get time
  date_default_timezone_set($details->timezone);
  
  // country code for flags
  $ccode = $details->countryCode;
    
  echo "<img src='https://countryflagsapi.com/svg/$ccode' class='img-fluid myimg'>";
  echo "<br><br>";
  
  // show details
  echo "<h3>آیپی یا دامنه وارد شده</h3>";
  echo "<h3>$show</h3>";
  
  echo "<br><h3>آیپی</h3>";
  echo "<h3>" . $details->query . "</h3>";
  
  echo "<br><h3>شبکه اینترنت</h3>";
  echo "<h3>" . $details->isp . "</h3>";
  
  echo "<br><h3>قاره</h3>";
  echo "<h3>" . $details->continent . "</h3>";
  
  echo "<br><h3>کد قاره</h3>";
  echo "<h3>" . $details->continentCode . "</h3>";
  
  echo "<br><h3>کشور</h3>";
  echo "<h3>" . $details->country . "</h3>";
  
  echo "<br><h3>کد کشور</h3>";
  echo "<h3>" . $details->countryCode . "</h3>";
  
  echo "<br><h3>نام استان</h3>";
  echo "<h3>" . $d_v2->region . "</h3>";
  
  echo "<br><h3>نام شهر</h3>";
  echo "<h3>" . $d_v2->city . "</h3>";
  
  echo "<br><h3>منطقه زمانی</h3>";
  echo "<h3>" . $details->timezone . "</h3>";
  
  echo "<br><h3>کد پستی</h3>";
  echo "<h3>" . $details->zip . "</h3>";
  
  echo "<br><h3>عرض جغرافیایی</h3>";
  echo "<h3 dir='ltr'>" . $details->lat . "</h3>";
  
  echo "<br><h3>طول جغرافیایی</h3>";
  echo "<h3 dir='ltr'>" . $details->lon . "</h3>";
  
  echo "<br><h3>اختلاف منطقه زمانی</h3>";
  echo "<h3 dir='ltr'>" . $details->offset . "</h3>";
  
  echo "<br><h3>واحد پول ملی</h3>";
  echo "<h3>" . $details->currency . "</h3>";
  
  echo "<br><h3>سازمان</h3>";
  echo "<h3>" . $details->org . "</h3>";
  
  echo "<br><h3>نام شبکه</h3>";
  echo "<h3>" . $details->asname . "</h3>";
  
  echo "<br><h3>نام هاست</h3>";
  echo "<h3 dir='rtl'>" . $details->reverse . "</h3>";
  echo "<span style='padding-top: 5px; color:#ff0000;'>اگر چیزی نمایش نداد یعنی هاست نیست</span>";
  
  echo "<br><br><h3>موبایل است؟";
  echo "<h3>" . $details->mobile . "</h3>";
  echo "<span style='padding-top: 5px; color:#ff0000;'>عدد 1 یعنی بله و اگر هیچ چیز نمایش نداد یعنی خیر</span>";
  
  echo "<br><br><h3>پراکسی یا VPN دارد؟</h3>";
  echo "<h3>" . $details->proxy . "</h3>";
  echo "<span style='padding-top: 5px; color:#ff0000;'>عدد 1 یعنی بله و اگر هیچ چیز نمایش نداد یعنی خیر</span>";
  
  echo "<br><br><h3>هاست است؟</h3>";
  echo "<h3>" . $details->hosting . "</h3>";
  echo "<span style='padding-top: 5px; color:#ff0000;'>عدد 1 یعنی بله و اگر هیچ چیز نمایش نداد یعنی خیر</span>";
  
  echo "<br><br><h3>اطلاعات دستگاه</h3>";
  echo "<h3 dir='ltr'>$browser</h3>";
  
  // show time
  $time = date('G:i:s');
  echo "<br><h3>ساعت در منطقه</h3>";
  echo "<h3>$time</h3>";
  ?>
  </div>
  <br>
<?php include 'layouts/footer.php'; ?>
<script src="libs/bootstrap/js/bootstrap.bundle.min.js"></script>
</body>

</html>
